osl::rating::EscapePin Class Reference

`#include <pinAttack.h>`

Inheritance diagram for osl::rating::EscapePin:

## Public Member Functions

| EscapePin (Ptype p)
bool | match (const NumEffectState &, Move move, const RatingEnv &env) const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
virtual bool | effectiveInCheck () const
const std::string & | name () const

## Private Attributes

Ptype | pinned

## Detailed Description

Definition at line 74 of file pinAttack.h.

## Constructor & Destructor Documentation

## EscapePin()

osl::rating::EscapePin::EscapePin | ( | Ptype | p | ) |

inline explicit

Definition at line 78 of file pinAttack.h.

References osl::rating::Feature::Feature(), pinned, and osl::Ptype_Table.

## Member Function Documentation

## match()

bool osl::rating::EscapePin::match | ( | const NumEffectState & | ,
|  | Move | move,
|  | const RatingEnv & | env ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 79 of file pinAttack.h.

References osl::PieceMask::getMask(), osl::KING, osl::rating::RatingEnv::my_pin, pinned, osl::Move::ptype(), and osl::Ptype_Table.

## Member Data Documentation

## pinned

Ptype osl::rating::EscapePin::pinned

private

Definition at line 76 of file pinAttack.h.

Referenced by EscapePin(), and match().

The documentation for this class was generated from the following file:

- pinAttack.h